﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA Third Order Intermodulation Test /LO,SWPG
DATE:                  2011-10-24
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       61
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA Series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Subprocedures:
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Measuring [V @LO_Freq] Third Order Intercept...
  1.002  MATH         TestFreq = BASE(@LO_Freq) - 100E+3
  1.003  SCPI         FREQ:CENT [V TestFreq]
  1.004  SCPI         AVER:STAT ON
  1.005  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.006  SCPI         CALC:MARK:Y?[I]
  1.007  MATH         LowDistAmpl = MEM
  1.008  SCPI         AVER:STAT OFF
  1.009  MATH         TestFreq = BASE(@SWPG_Freq) + 100E+3
  1.010  SCPI         FREQ:CENT [V TestFreq]
  1.011  SCPI         AVER:STAT ON
  1.012  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.013  SCPI         CALC:MARK:Y?[I]
  1.014  MATH         HighDistAmpl = MEM
  1.015  SCPI         AVER:STAT OFF

  1.016  IF           LowDistAmpl > HighDistAmpl
  1.017  MATH         WorstDist = LowDistAmpl
  1.018  ELSE
  1.019  MATH         WorstDist = HighDistAmpl
  1.020  ENDIF

  1.021  MATH         MEM = (-18) - (WorstDist / 2)
  1.022  END
