﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA Set Spur Response Test Level /4418,8481,SWPG
DATE:                  2011-10-06
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       53
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent ESA series > 3 GHz, <= 18 GHz
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub Level Signal /4418,8481,SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Setting (SWPG) [V @SWPG_Freq] test level...
  1.002  MATH         @CenterFreq = BASE(@SWPG_Freq)
  1.003  CALL         Sub Level Signal /4418,8481,SWPG

  1.004  IF           @Error
  1.005  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  MATH         @TestFreq = BASE(@SWPG_Freq)
  2.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  2.006  MATH         M[1] = SQRT(@LevelUncPct^2 + @RefUncPct^2) * 2
  2.007  MATH         M[1] = PCTTODBW_D(L[1])
  2.008  END
