﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Third Order Intermodulation Test
DATE:                  2015-01-20 13:44:10
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10157 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       55
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA Series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Subprocedures:
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Measuring [V @2ndTOI_Freq] Third Order Intercept...
  1.002  MATH         TestFreq = BASE(@2ndTOI_Freq) - 100E+3
  1.003  SCPI         FREQ:CENT [V TestFreq]
  1.004  SCPI         AVER:STAT ON
  1.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:Y?[I]
  1.006  MATH         LowDistAmpl = MEM
  1.007  SCPI         AVER:STAT OFF
  1.008  MATH         TestFreq = BASE(@1stTOI_Freq) + 100E+3
  1.009  SCPI         FREQ:CENT [V TestFreq]
  1.010  SCPI         AVER:STAT ON
  1.011  SCPI         INIT:IMM;*WAI;:CALC:MARK:Y?[I]
  1.012  MATH         HighDistAmpl = MEM
  1.013  SCPI         AVER:STAT OFF

  1.014  IF           LowDistAmpl > HighDistAmpl
  1.015  MATH         WorstDist = LowDistAmpl
  1.016  ELSE
  1.017  MATH         WorstDist = HighDistAmpl
  1.018  ENDIF

  1.019  MATH         MEM = (-18) - (WorstDist / 2)
  1.020  END
