﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA µW Frequency Response Tests /4418,8481,SWPG
DATE:                  2011-10-06
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       221
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent ESA series > 3 GHz, <= 18 GHz, including Option 110.
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub PSA µW Frequency Response Test /4418,8481,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Example:
# 1.001  MATH         @TestFreq = 3.05E+9
# 1.002  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
# M4418 statement to allow procedure to compile.
  1.002  M4418  F64   8481A
  1.003  IEEE         [@SWPG]
  1.004  ENDIF

  1.005  IF           @PreampOn
  1.006  TOL          1.750U
  1.007  MATH         @UUT_SWR = 1.5
  1.008  ELSE
  1.009  TOL          1.500U
  1.010  MATH         @UUT_SWR = 1.6
  1.011  ENDIF

  1.012  MATH         @TestFreq = 3.05E+9
  1.013  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.014  MATH         @TestFreq = 3.25E+9
  1.015  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.016  MATH         @TestFreq = 3.45E+9
  1.017  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.018  MATH         @TestFreq = 3.65E+9
  1.019  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.020  MATH         @TestFreq = 3.85E+9
  1.021  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.022  MATH         @TestFreq = 4.05E+9
  1.023  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.024  MATH         @TestFreq = 4.25E+9
  1.025  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.026  MATH         @TestFreq = 4.45E+9
  1.027  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.028  MATH         @TestFreq = 4.65E+9
  1.029  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.030  MATH         @TestFreq = 4.85E+9
  1.031  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.032  MATH         @TestFreq = 5.05E+9
  1.033  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.034  MATH         @TestFreq = 5.25E+9
  1.035  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.036  MATH         @TestFreq = 5.45E+9
  1.037  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.038  MATH         @TestFreq = 5.65E+9
  1.039  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.040  MATH         @TestFreq = 5.85E+9
  1.041  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.042  MATH         @TestFreq = 6.05E+9
  1.043  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.044  MATH         @TestFreq = 6.25E+9
  1.045  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.046  MATH         @TestFreq = 6.45E+9
  1.047  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.048  IF           @PreampOn
  1.049  TOL          3.000U
  1.050  MATH         @UUT_SWR = 1.9
  1.051  ELSE
  1.052  TOL          2.000U
  1.053  ENDIF

  1.054  MATH         @TestFreq = 6.65E+9
  1.055  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.056  IF           @E4440A || @E4445A
  1.057  MATH         @TestFreq = 6.85E+9
  1.058  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.059  MATH         @TestFreq = 7.05E+9
  1.060  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.061  MATH         @TestFreq = 7.25E+9
  1.062  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.063  MATH         @TestFreq = 7.45E+9
  1.064  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.065  MATH         @TestFreq = 7.65E+9
  1.066  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.067  MATH         @TestFreq = 7.85E+9
  1.068  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.069  MATH         @TestFreq = 8.05E+9
  1.070  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.071  MATH         @TestFreq = 8.25E+9
  1.072  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.073  MATH         @TestFreq = 8.45E+9
  1.074  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.075  MATH         @TestFreq = 8.65E+9
  1.076  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.077  MATH         @TestFreq = 8.85E+9
  1.078  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.079  MATH         @TestFreq = 9.05E+9
  1.080  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.081  MATH         @TestFreq = 9.25E+9
  1.082  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.083  MATH         @TestFreq = 9.45E+9
  1.084  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.085  MATH         @TestFreq = 9.65E+9
  1.086  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.087  MATH         @TestFreq = 9.85E+9
  1.088  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.089  MATH         @TestFreq = 10.05E+9
  1.090  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.091  MATH         @TestFreq = 10.25E+9
  1.092  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.093  MATH         @TestFreq = 10.45E+9
  1.094  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.095  MATH         @TestFreq = 10.65E+9
  1.096  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.097  MATH         @TestFreq = 10.85E+9
  1.098  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.099  MATH         @TestFreq = 11.05E+9
  1.100  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.101  MATH         @TestFreq = 11.25E+9
  1.102  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.103  MATH         @TestFreq = 11.45E+9
  1.104  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.105  MATH         @TestFreq = 11.65E+9
  1.106  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.107  MATH         @TestFreq = 11.85E+9
  1.108  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.109  MATH         @TestFreq = 12.05E+9
  1.110  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.111  MATH         @TestFreq = 12.25E+9
  1.112  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.113  MATH         @TestFreq = 12.45E+9
  1.114  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.115  MATH         @TestFreq = 12.65E+9
  1.116  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.117  MATH         @TestFreq = 12.85E+9
  1.118  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG

  1.119  MATH         @TestFreq = 13.05E+9
  1.120  CALL         Sub PSA µW Frequency Response Test /4418,8481,SWPG
  1.121  ENDIF

  1.122  END
